apiVersion: tekton.dev/v1beta1
kind: PipelineRun
metadata:
  generateName: simple-pipeline-run-
  resourceVersion: '2274846'
  name: simple-pipeline-run-rms6q
  uid: 4941b729-a772-492e-8c84-f8b7d5609629
  creationTimestamp: '2023-04-12T07:40:17Z'
  generation: 1
  managedFields:
    - apiVersion: tekton.dev/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:labels':
            'f:tekton.dev/pipeline': {}
      manager: openshift-pipelines-controller
      operation: Update
      time: '2023-04-12T07:40:17Z'
    - apiVersion: tekton.dev/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:generateName': {}
          'f:labels':
            .: {}
            'f:triggers.tekton.dev/eventlistener': {}
            'f:triggers.tekton.dev/trigger': {}
            'f:triggers.tekton.dev/triggers-eventid': {}
        'f:spec':
          .: {}
          'f:params': {}
          'f:pipelineRef':
            .: {}
            'f:name': {}
      manager: openshift-pipelines-triggers-eventlistenersink
      operation: Update
      time: '2023-04-12T07:40:17Z'
    - apiVersion: tekton.dev/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          .: {}
          'f:childReferences': {}
          'f:completionTime': {}
          'f:conditions': {}
          'f:pipelineSpec':
            .: {}
            'f:params': {}
            'f:tasks': {}
          'f:startTime': {}
          'f:taskRuns':
            .: {}
            'f:simple-pipeline-run-rms6q-sample-task':
              .: {}
              'f:pipelineTaskName': {}
              'f:status':
                .: {}
                'f:completionTime': {}
                'f:conditions': {}
                'f:podName': {}
                'f:startTime': {}
                'f:steps': {}
                'f:taskSpec':
                  .: {}
                  'f:params': {}
                  'f:steps': {}
      manager: openshift-pipelines-controller
      operation: Update
      subresource: status
      time: '2023-04-12T07:40:23Z'
  namespace: jk
  labels:
    tekton.dev/pipeline: sample-pipeline
    triggers.tekton.dev/eventlistener: generic-el-test
    triggers.tekton.dev/trigger: trigger-1
    triggers.tekton.dev/triggers-eventid: 180cdfbf-2b2d-4c99-b6e2-3ebb93fe00f8
spec:
  params:
    - name: app-name
      value: hello_app
    - name: data-json-array-string
      value: '["value1","value2","value3"]'
    - name: data-json-array-object
      value: '[{"key1":"value1","key2":12.34,"key3":false},{"key11":"hello"}]'
    - name: data-json-object
      value: >-
        {"array_data":["string_value",1,23.3],"k1":"v1","k2":21,"k3":true,"k4":false,"k5":0.42}
  pipelineRef:
    name: sample-pipeline
  serviceAccountName: pipeline
  timeout: 1h0m0s
status:
  childReferences:
    - apiVersion: tekton.dev/v1beta1
      kind: TaskRun
      name: simple-pipeline-run-rms6q-sample-task
      pipelineTaskName: sample-task
  completionTime: '2023-04-12T07:40:23Z'
  conditions:
    - lastTransitionTime: '2023-04-12T07:40:23Z'
      message: 'Tasks Completed: 1 (Failed: 0, Cancelled 0), Skipped: 0'
      reason: Succeeded
      status: 'True'
      type: Succeeded
  pipelineSpec:
    params:
      - default: hello-app
        name: app-name
        type: string
      - default: []
        name: data-array-test
        type: array
    tasks:
      - name: sample-task
        taskSpec:
          metadata: {}
          params:
            - default: no-data
              name: app-name
              type: string
            - default: '["no-data"]'
              name: data-json-array-string
              type: string
            - default: '[{"data": "no-data"}]'
              name: data-json-array-object
              type: string
            - default: '{"data": "nodata"}'
              name: data-json-object
              type: string
          spec: null
          steps:
            - image: 'alpine:3.17.3'
              name: echo-step
              resources: {}
              script: >
                echo "App name: hello_app"

                echo "data-json-array-string: ["value1","value2","value3"]"

                echo "data-json-array-object:
                [{"key1":"value1","key2":12.34,"key3":false},{"key11":"hello"}]"

                echo "data-json-object:
                {"array_data":["string_value",1,23.3],"k1":"v1","k2":21,"k3":true,"k4":false,"k5":0.42}"
        status:
          completionTime: '2023-04-12T07:40:23Z'
          conditions:
            - lastTransitionTime: '2023-04-12T07:40:23Z'
              message: All Steps have completed executing
              reason: Succeeded
              status: 'True'
              type: Succeeded
          podName: simple-pipeline-run-rms6q-sample-task-pod
          startTime: '2023-04-12T07:40:17Z'
          steps:
            - container: step-echo-step
              imageID: >-
                docker.io/library/alpine@sha256:124c7d2707904eea7431fffe91522a01e5a861a624ee31d03372cc1d138a3126
              name: echo-step
              terminated:
                containerID: >-
                  cri-o://aef10cce589ba97a9080e0e51b94006a444681b25c0d438b9cc6d3cfd1915d07
                exitCode: 0
                finishedAt: '2023-04-12T07:40:22Z'
                reason: Completed
                startedAt: '2023-04-12T07:40:22Z'
          taskSpec:
            params:
              - default: no-data
                name: app-name
                type: string
              - default: '["no-data"]'
                name: data-json-array-string
                type: string
              - default: '[{"data": "no-data"}]'
                name: data-json-array-object
                type: string
              - default: '{"data": "nodata"}'
                name: data-json-object
                type: string
            steps:
              - image: 'alpine:3.17.3'
                name: echo-step
                resources: {}
                script: >
                  echo "App name: hello_app"

                  echo "data-json-array-string: ["value1","value2","value3"]"

                  echo "data-json-array-object:
                  [{"key1":"value1","key2":12.34,"key3":false},{"key11":"hello"}]"

                  echo "data-json-object:
                  {"array_data":["string_value",1,23.3],"k1":"v1","k2":21,"k3":true,"k4":false,"k5":0.42}"
          duration: 6s
          reason: Succeeded
  startTime: '2023-04-12T07:40:17Z'
  taskRuns:
    simple-pipeline-run-rms6q-sample-task:
      pipelineTaskName: sample-task
      status:
        completionTime: '2023-04-12T07:40:23Z'
        conditions:
          - lastTransitionTime: '2023-04-12T07:40:23Z'
            message: All Steps have completed executing
            reason: Succeeded
            status: 'True'
            type: Succeeded
        podName: simple-pipeline-run-rms6q-sample-task-pod
        startTime: '2023-04-12T07:40:17Z'
        steps:
          - container: step-echo-step
            imageID: >-
              docker.io/library/alpine@sha256:124c7d2707904eea7431fffe91522a01e5a861a624ee31d03372cc1d138a3126
            name: echo-step
            terminated:
              containerID: >-
                cri-o://aef10cce589ba97a9080e0e51b94006a444681b25c0d438b9cc6d3cfd1915d07
              exitCode: 0
              finishedAt: '2023-04-12T07:40:22Z'
              reason: Completed
              startedAt: '2023-04-12T07:40:22Z'
        taskSpec:
          params:
            - default: no-data
              name: app-name
              type: string
            - default: '["no-data"]'
              name: data-json-array-string
              type: string
            - default: '[{"data": "no-data"}]'
              name: data-json-array-object
              type: string
            - default: '{"data": "nodata"}'
              name: data-json-object
              type: string
          steps:
            - image: 'alpine:3.17.3'
              name: echo-step
              resources: {}
              script: >
                echo "App name: hello_app"

                echo "data-json-array-string: ["value1","value2","value3"]"

                echo "data-json-array-object:
                [{"key1":"value1","key2":12.34,"key3":false},{"key11":"hello"}]"

                echo "data-json-object:
                {"array_data":["string_value",1,23.3],"k1":"v1","k2":21,"k3":true,"k4":false,"k5":0.42}"
